const CombinedStream = require('combined-stream');
const fs             = require('fs');
const exists         = fs.existsSync;
const publicDir      = require('path').join(__dirname, '../public');

// /concat.js?repos=ask11/indexed,component/each
module.exports = function(req, res, next) {
  const format = req.params.format;
  const repos  = req.query.repos.split(',');
  const stream = CombinedStream.create();

  repos.forEach(function(repo) {
    const path = publicDir + '/' + repo + '.min.' + format;
    if (exists(path)) stream.append(fs.createReadStream(path));
  });

  stream.pipe(res);
  stream.on('error', next);
};
